Get deployed integration
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/integrations/integrations/v1/deployed/{integration_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/integrations/integrations/v1/deployed/{integration_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/integrations/integrations/v1/deployed/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"definitionKey": "<string>",
"definitionVersion": "<string>",
"id": "<string>",
"integrationStatus": {
"details": {},
"messages": [
"<string>"
]
},
"parameters": [
{
"stringValue": "<string>",
"apiKey": {
"id": "<string>",
"value": "<string>"
},
"booleanValue": true,
"key": "<string>",
"numericValue": 123,
"sensitiveData": {},
"stringList": {
"values": [
"<string>"
]
}
}
]
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Integration Service
Get deployed integration
Returns the deployed instance of the specified integration.
Requires the following permissions:
integrations:ReadConfig
Get deployed integration
Authorizations
API key authentication
Path Parameters
The integration id.
Example:
"aws-sqs"
Response
Response containing details of a deployed integration.
Deployed integration information.
Show child attributes
Show child attributes
Was this page helpful?
⌘I